allChars:./expand allChars
and-half:./expand and-half
bar:./expand bar
barbarians:./expand barbarians
boon:./expand boon
captain:./expand captain
deep0:./expand deep0
deep10:./expand deep10
deep20:./expand deep20
empty:./expand /dev/null
eof:./expand eof
half:./expand half
half-and-half:./expand half-and-half
huge3:./expand huge3
huge5:./expand huge5
moby:./expand moby
multi-moby:./expand multi-moby
no-expansion:./expand no-expansion
noun-phrase:./expand noun-phrase
null:./expand null
programmer:./expand programmer
programmer-barn:./expand programmer-barn
programmer-baron:./expand programmer-baron
sentence:./expand sentence
song:./expand song
verb-phrase:./expand verb-phrase
stdin:echo stdin test | ./expand
stdin-empty:./expand < /dev/null
stdin-expand:echo 'stdin walks into a |bar|' | ./expand
stdin-multi-expand:echo '|bar| |bar| |bar|' | ./expand
stdin-huge5:echo '|huge5| walks into a |bar|' | ./expand
multi-arg:./expand bar bar bar
multi-arg-moby:./expand moby moby moby
multi-arg-mixed:./expand bar moby bar half moby and-half
bad-arg:(./expand thisFileDoesNotExist > /dev/null 2> /dev/null && echo oops) || true
vg-empty:valgrind -q --tool=memcheck --partial-loads-ok=yes --leak-check=yes --track-origins=yes ./expand /dev/null > /dev/null
vg-bar:valgrind -q --tool=memcheck --partial-loads-ok=yes --leak-check=yes --track-origins=yes ./expand bar > /dev/null
vg-boon:valgrind -q --tool=memcheck --partial-loads-ok=yes --leak-check=yes --track-origins=yes ./expand boon > /dev/null
vg-huge5:valgrind -q --tool=memcheck --partial-loads-ok=yes --leak-check=yes --track-origins=yes ./expand huge5 > /dev/null
vg-2deep20:valgrind -q --tool=memcheck --partial-loads-ok=yes --leak-check=yes --track-origins=yes ./expand deep20 deep20 > /dev/null
